Python issue

General support for problems installing or using Deluge
eclectic
New User
New User
Posts: 2
Joined: Tue May 08, 2018 11:17 am
OS or Distro: CentOS 7

Python issue

Postby eclectic » Tue May 08, 2018 11:24 am

I have been learning Python recently and decided to default my Python install to 3.7 on my CentOS box. I didnt realise the complication's of this and have since changed the symbolic link back to 2.7 and all was seemingly fine. Yum works again as expected and I even reinstalled python 2.7 on my box to be sure.

However Deluge wont start, complaining about a missing _util in the OpenSSL._util import lib as pyOpenSSLlib

Code: Select all

sudo systemctl status deluge-web
● deluge-web.service - Deluge Bittorrent Client Web Interface
   Loaded: loaded (/usr/lib/systemd/system/deluge-web.service; disabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Tue 2018-05-08 12:13:29 BST; 7min ago
  Process: 5971 ExecStart=/usr/bin/deluge-web (code=exited, status=1/FAILURE)
 Main PID: 5971 (code=exited, status=1/FAILURE)

May 08 12:13:29 niguella deluge-web[5971]: File "/usr/lib/python2.7/site-packages/deluge/ui/web/server.py", line 53, in <module>
May 08 12:13:29 niguella deluge-web[5971]: from twisted.internet.ssl import SSL, Certificate, CertificateOptions, KeyPair
May 08 12:13:29 niguella deluge-web[5971]: File "/usr/lib64/python2.7/site-packages/twisted/internet/ssl.py", line 230, in <module>
May 08 12:13:29 niguella deluge-web[5971]: from twisted.internet._sslverify import (
May 08 12:13:29 niguella deluge-web[5971]: File "/usr/lib64/python2.7/site-packages/twisted/internet/_sslverify.py", line 15, in <module>
May 08 12:13:29 niguella deluge-web[5971]: from OpenSSL._util import lib as pyOpenSSLlib
 ImportError: No module named _util
May 08 12:13:29 niguella systemd[1]: deluge-web.service: main process exited, code=exited, status=1/FAILURE
May 08 12:13:29 niguella systemd[1]: Unit deluge-web.service entered failed state.
May 08 12:13:29 niguella systemd[1]: deluge-web.service failed.



Could someone help me fix this please?

eclectic
New User
New User
Posts: 2
Joined: Tue May 08, 2018 11:17 am
OS or Distro: CentOS 7

Re: Python issue

Postby eclectic » Wed May 09, 2018 10:27 am

To update this, some help from Python Discord has pyasn updated and pyOpenSSL is installed. But the same error as above still exists:

Code: Select all

]$ sudo pip install pyOpenSSL
Requirement already satisfied: pyOpenSSL in /usr/lib64/python2.7/site-packages (0.13.1)



Return to “Support”

Who is online

Users browsing this forum: No registered users and 3 guests